Subject: Re: bug#17130: 24.4.50; Deficient Unicode case folding

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Mar 2014 05:45:39 +0300

> From: Nathan Trapuzzano <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 29 Mar 2014 16:15:34 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Nathan Trapuzzano <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Sat, 29 Mar 2014 14:36:42 -0400
> >> 
> >> Er, let me rephrase.  Case _conversion_ (such as in case-preserving
> >> replace) and case _folding_ (such as ought be used in case-insensitive
> >> searching) are orthogonal.
> >
> > But they can very well use the same database.
> 
> It's not clear what you mean.

You keep asking questions about the purpose of the CANONICALIZE slot,
and I keep trying to explain that purpose.

> We already have a place to store upper- and lower- case variants.  What
> I'm proposing is to use the CANONICALIZE slot as a place to store the
> case-folding mapping.  If this would mess up Emacs' case-preserving
> replace, then I think that would just mean that case-preserving replace
> is broken.  There is no such case as "canonicalize"--you can't say, "Oh,
> this string is in the canonical case, so when I want to replace it with
> this other string in canonical case".  A case-preserving replace should
> only consult the upper- and lower-case slots (and perhaps the title-case
> slot if it existed).

Perhaps you should tell what does tis mean in practice, from the POV
of populating the CANONICALIZE slot, and how that content would be
used under your proposal.  That should make the discussion more
useful, I hope.